Package org.springframework.security.web.server.authentication

# Class ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder

java.lang.Object
org.springframework.security.web.server.authentication.ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder

Enclosing class:
  ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver

public static final class ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder extends Object
A builder for `ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver`.

## Method Summary

Modifier and Type
Method
Description
`ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder`
`add(ServerWebExchangeMatcher matcher, org.springframework.security.authentication.ReactiveAuthenticationManager manager)`
Maps a `ServerWebExchangeMatcher` to an `ReactiveAuthenticationManager`.
`ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver`
`build()`
Creates a `ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder add(ServerWebExchangeMatcher matcher, org.springframework.security.authentication.ReactiveAuthenticationManager manager)
Maps a `ServerWebExchangeMatcher` to an `ReactiveAuthenticationManager`.

Parameters:
  `matcher` - the `ServerWebExchangeMatcher` to use
  `manager` - the `ReactiveAuthenticationManager` to use
Returns:
  the `ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder` for further customizations

### build

public ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver build()
Creates a `ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver` instance.

Returns:
  the `ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver` instance